
///FX

textures/limbo/dablue
{
	qer_editorimage textures/limbo/dablue.blend.tga
	q3map_lightimage textures/limbo/dablue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 650
	{
		map textures/limbo/dablue.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/limbo/dablue.blend.tga
		blendfunc add
	}
}


textures/limbo/dapurple
{
	qer_editorimage textures/limbo/dapurple.blend.tga
	q3map_lightimage textures/limbo/dapurple.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 650
	{
		map textures/limbo/dapurple.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/limbo/dapurple.blend.tga
		blendfunc add
	}
}

textures/limbo/colorwall
{
    	qer_editorimage textures/limbo/cretebase4.tga
	q3map_nonplanar
	q3map_shadeAngle 360

	surfaceparm splash
	surfaceparm nomarks
	surfaceparm nodamage
	
	//deformVertexes wave 100 sin 0 -10 0 1.1
	//deformVertexes move 10 0 0 sin 0 5 0 1

	{
		map textures/limbo/cretebase4.tga
		rgbGen vertex
		//tcGen environment
	}

	{
		map textures/gamma_mill/shade.tga
		blendfunc filter
		rgbGen vertex
		tcGen environment
	}
}



///ICE

textures/limbo/limbo_ice
{
	qer_editorimage textures/limbo/limbo_ice.tga
	surfaceparm slick
	surfaceparm nodamage
	q3map_surfacelight 65
	tesssize 256

	{
		map textures/effects/envmap_gold.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/limbo/limbo_ice.tga
		blendfunc blend
	}

	
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}




///GLASS & MIRROR
textures/limbo/dsiglass
{
	qer_editorimage textures/limbo/dsiglass.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/limbo/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}



textures/limbo/mirror
{
	qer_editorimage textures/limbo/mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/limbo/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}





///PADS

textures/limbo/Pad
{
	qer_editorimage textures/limbo/cretebase4.tga
	surfaceparm nodamage
	surfaceparm woodsteps
	q3map_surfacelight 45
	implicitMap textures/limbo/cretebase4.tga
}

textures/limbo/NJDPad
{
	qer_editorimage textures/limbo/cretebase4.tga
	surfaceparm nodamage
	surfaceparm woodsteps
	surfaceparm monsterslicknorth
	q3map_surfacelight 45
	implicitMap textures/limbo/cretebase4.tga
}